Subject: RE: ddd-3.2.98 configure problem on cygwin
From: Suhaib Siddiqi <[email-masked]>
To: "'Andreas Zeller'" <[email-masked]>, [email-masked]
Cc: Suhaib Siddiqi <[email-masked]>, [email-masked], [email-masked], DDD Mailing List <[email-masked]>
Date: Wed, 31 Jan 2001 06:43:14 -0500

Andreas

Thanks

Chuck kept coming with same configure issue.  last time it was,
if I am not mistaken, the order of libraries
issues generated by configure script.

I do agree that reporting a configure bug with a config.log 
won't going to help anyone.

Suhaib

> -----Original Message-----
> From: Andreas Zeller [mailto:[email-masked]]
> Sent: Wednesday, January 31, 2001 4:26 AM
> To: [email-masked]
> Cc: Suhaib Siddiqi; [email-masked];
> [email-masked]; DDD Mailing List
> Subject: Re: ddd-3.2.98 configure problem on cygwin
> 
> 
> Hi!
> 
> Suhaib Siddiqi <[email-masked]> writes:
> 
> >  This is really DDD issue, which needs to be fixed.  The order
> > of libraries in your Makefiles, generated by configure 
> script of DDD,
> > are wrong.  You can either manually edit the Makefiles or
> > fix the configure script.
> 
> Chuck's report does not relate to the DDD Makefiles - `make' is never
> called, but to the invocation of DDD `configure'.  To fix 
> this, I need:
> 
> * the exact error message, as listed in the `config.log'
>   and `ddd/config.log' files.
> 
> * the `configure' invocation, as listed in the `config.status' file.
> 
> Please reply soon, such that fixes (if needed) can make it 
> into DDD 3.3.
> 
> 
> > I quote you from www.lesstif.org FAQ, which DDD folks 
> should consider
> > reading too. 
> 
> I don't know how Suhaib can assume there's something I 
> haven't read :-)
> Yes, I have read the LessTif FAQ, and the DDD Makefile has since been
> fixed to work with Cygwin (as of DDD 3.2.98 and later).  Here's the
> library ordering on my system:
> 
>     -lXm -lXaw -lXmu -lXt -lXpm -lXp -lXext \
>         -lX11 -lSM -lICE -lncurses -liberty -lm
> 
> Compare this to the ordering as specified in the LessTif FAQ - you'll
> find it's perfectly compliant:
> 
>     -lMrm -lXm -lXt -lXmu -lXp -lXext -lX11 -lSM -lICE
> 
> Remember: for a bug report, always state what you do, what you expect,
> and how your experience differs from the expectations.  Anything else,
> including assumptions about the code and its developers, rarely helps.
> 
> Best wishes,
> 
> Andreas
> 
> -- 
> Andreas Zeller     Universitaet Passau
>                    http://www.fmi.uni-passau.de/st/staff/zeller/
> 

--
Want to unsubscribe from this list?
Check out: http://cygwin.com/ml/#unsubscribe-simple